// $Id: CFileReader.h,v 1.3 2003/04/08 13:54:15 ta_muto Exp $
// File Reader Class

#ifndef __wax_CFileReader_h
#define __wax_CFileReader_h

#include <common.h>
#include <IReader.h>

namespace wax {
	class CFileReader : public IReader {
	public:
		CFileReader(const xmlChar* initPath):IReader(initPath) { fp = NULL; }
		~CFileReader();
		
		bool open();
		int read(char* buffer, int size);
		void close();
	protected:
		FILE* fp;
	} ;
}

#endif
